<?php use_helper('UrlFunctions'); ?>
<?php use_helper('UtilFunctions'); ?>
<?php
$s_User = myUser::getUser()->getUserId();
$idColaborador = myUser::getUser()->getIdColaborador();

if(myUser::getUser()->getIdPadre() || myUser::getUser()->getRoleId() == "sys.ope" || myUser::getUser()->getRoleId() == "sys.hip"|| myUser::getUser()->getRoleId() == "sys.sug"){
	$o_ColaboradorBean_Temp = new ColaboradorBean();
	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
	$o_ColaboradorBL_Temp = new ColaboradorBL();
	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
	$idAdministrador = $o_ColaboradorBeanResult[0]->getIdPadre();
}elseif(myUser::getUser()->getIdPadre() == "A"){ //Todos los Padres Rol actualmente sys.gen y sys.view
	//SIN FILTRO
}else{
	$idAdministrador = myUser::getUser()->getIdColaborador();
}

if($idAdministrador){
	$o_SucursalBean = new SucursalBean();
	$o_SucursalBean->setIdAdministrador($idAdministrador);
	$o_SucursalBL = new SucursalBL();
	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
	//----------------------------------------------------
	
	$IdSucursal = $a_o_sucursal[0]->getIdSucursal();
}

$o_cierreDiaFN = new CrCierrehipotecaCFN();
$s_FechaTrx = $o_cierreDiaFN->obtenerDiaAbiertoHipoteca($IdSucursal);

if( isset( $b_Control ) )
{
    try 
    {
    	
    	//Actualizar Credito
        $o_CrCreditoCronoFN = new CrCreditoCronoFN();
        $o_CrCreditoCronoFN->setIdcreditocrono( $i_Id );
        $o_CrCreditoCronoBN = $o_CrCreditoCronoFN->selectByPK();
        if( $o_CrCreditoCronoBN )
        {
            $f_SaldoRestanteCredito = $o_CrCreditoCronoBN->getSaldoCredito();
            $f_Porcinteresdiariomora = $o_CrCreditoCronoBN->getPorcinteresdiariomora();
            $f_montototal = $o_CrCreditoCronoBN->getMontototal();
            $s_Estado = $o_CrCreditoCronoBN->getEstado();
        
        }
    	
        //if($s_Estado != 'P'){
        	 //throw new Exception( "Este prestamo no se puede hacer ningun pago mas por estar en estado difrente a Pendiente" );
        //}
        
        $o_CrCreditoCuotaFN = new CrCreditoCuotaFN();
        $o_CrCreditoCuotaFN->setIdcuota( $i_Idcuota );
        $o_CrCreditoCuotaBN = $o_CrCreditoCuotaFN->selectByPK();
        if( $o_CrCreditoCuotaBN )
        {
            $f_MontototalCuota = $o_CrCreditoCuotaBN->getMontototal();
            $f_SaldototalCuota = $o_CrCreditoCuotaBN->getSaldototal();
            $f_FechaCuota 		= $o_CrCreditoCuotaBN->getFechaCuota();
            $f_MontomoraCuota  = $o_CrCreditoCuotaBN->getMontomora();
        }
        else
        {
            throw new Exception( "Error interno al tratar de recuperar Credito Cuota." );
        }
        
        if( isset( $s_TipoOpe ) && $s_TipoOpe=="delete" ){
	             	
            $o_CrCreditoPagoFN = new CrCreditoPagoFN();
            $o_CrCreditoPagoFN->setIdpago( $i_IdPago );
            $o_CrCreditoPagoBN = $o_CrCreditoPagoFN->selectByPK();
            $f_Montopago = 0;
            if( $o_CrCreditoPagoBN )
            {
                $f_Montopago = $o_CrCreditoPagoBN->getMontopago();
                $i_IdPago= $o_CrCreditoPagoBN->getIdPago();
                $i_Idcreditocrono = $o_CrCreditoPagoBN->getIdcreditocrono();
                $s_Tipopago = $o_CrCreditoPagoBN->getTipopago();
                $s_FechaTrx = $o_CrCreditoPagoBN->getFechatrx(); //
            }
            
            if($i_Idcreditocrono){
	            $o_CrCreditoPagoFN = new CrCreditoPagoFN();
	            $o_CrCreditoPagoFN->setIdcreditocrono($i_Idcreditocrono );
	            $o_CrCreditoPagoFN->setFechatrx($s_FechaTrx );
	            
	            $o_CrCreditoPagoFNT = $o_CrCreditoPagoFN->select();
	            
	            foreach ($o_CrCreditoPagoFNT as $keyBN => $o_CrCreditoPagoBN){
	            	
		            $f_Montopago = 0;
		            if( $o_CrCreditoPagoBN )
		            {
		                $i_IdPago = $o_CrCreditoPagoBN->getIdpago();
		                $f_Montopago = $o_CrCreditoPagoBN->getMontopago();
		                $i_IdCreditoCrono = $o_CrCreditoPagoBN->getIdcreditocrono();
		                $s_Tipopago = $o_CrCreditoPagoBN->getTipopago();
		                $s_IdCuotat = $o_CrCreditoPagoBN->getIdcuota();
		                $s_FechaTrx = $o_CrCreditoPagoBN->getFechatrx(); //
		            }
	            
		            $o_CrCreditoPagoDP = new CrCreditoPagoDP();
		            $o_CrCreditoPagoDP->setIdpago( $i_IdPago );
		            $o_CrCreditoPagoDP->setFechatrx( $s_FechaTrx );
		            $b_Result = $o_CrCreditoPagoDP->delete();
	            
		            if( $s_Tipopago == "C" ){
		                //SE VA A ACTUALIZAR LA CUOTA 
		                //SE CALCULA LA RESTA POR EL PAGO ELIMINADO
		                $f_NuevoSaldoPagoCuota =  $f_SaldototalCuota + $f_Montopago;
		                
		                $o_CrCreditoCuotaDP = new CrCreditoCuotaDP();
		                $o_CrCreditoCuotaDP->setIdcuota( $s_IdCuotat );
		                $o_CrCreditoCuotaDP->setSaldototal( $f_NuevoSaldoPagoCuota );
		                if( $f_NuevoSaldoPagoCuota > 0 )
		                {
		                    $o_CrCreditoCuotaDP->setEstado( "P" );
		                }
		                $b_Result = $o_CrCreditoCuotaDP->update();
		                
		                //Actualizar Credito
		                $o_CrCreditoCronoFN = new CrCreditoCronoFN();
				        $o_CrCreditoCronoFN->setIdcreditocrono( $i_IdCreditoCrono );
				        $o_CrCreditoCronoBN = $o_CrCreditoCronoFN->selectByPK();
				        if( $o_CrCreditoCronoBN )
				        {
				            $f_SaldoRestanteCredito = $o_CrCreditoCronoBN->getSaldoCredito();
				            $f_Porcinteresdiariomora = $o_CrCreditoCronoBN->getPorcinteresdiariomora();
				            $f_montototal = $o_CrCreditoCronoBN->getMontototal();
				        
				        }
		                                
		                $f_SaldoRestanteCredito= $f_SaldoRestanteCredito + $f_Montopago;
		                
		                $o_CrCreditoCronoDP = new CrCreditoCronoDP();
			            $o_CrCreditoCronoDP->setIdcreditocrono( $i_IdCreditoCrono );
			            $o_CrCreditoCronoDP->setSaldocredito( $f_SaldoRestanteCredito );
			            $o_CrCreditoCronoDP->setMoraamortizada($f_MontoMoraAmortizada );
			            
			            if( $f_SaldoRestanteCredito > 0 )
			            {
			                $o_CrCreditoCronoDP->setEstado( "P" );
			            }
			            $b_Result = $o_CrCreditoCronoDP->update();
		                
		              
		            }elseif($s_Tipopago == "D"){
		            	
			            	//Actualizar Credito
		                $o_CrCreditoCronoFN = new CrCreditoCronoFN();
				        $o_CrCreditoCronoFN->setIdcreditocrono( $i_IdCreditoCrono );
				        $o_CrCreditoCronoBN = $o_CrCreditoCronoFN->selectByPK();
				        if( $o_CrCreditoCronoBN )
				        {
				            $f_SaldoRestanteCredito = $o_CrCreditoCronoBN->getSaldocredito();
				        	$f_MontoDescuentoAcumulado		= $o_CrCreditoCronoBN->getDescuento();
				        }
		                                		            			        	        		        
				        //Actualiza campo de descuentos	en Credito crono        
				        $o_CrCreditoCronoDP = new CrCreditoCronoDP();
			            $o_CrCreditoCronoDP->setIdcreditocrono( $i_IdCreditoCrono );
			            $f_Montodescuento = $f_MontoDescuentoAcumulado - $f_Montopago;
			            $o_CrCreditoCronoDP->setDescuento($f_Montodescuento);
			            $o_CrCreditoCronoDP->update();
		            	
		            }else{ //Moras
		            	//Actualizar Credito
		                $o_CrCreditoCronoFN = new CrCreditoCronoFN();
				        $o_CrCreditoCronoFN->setIdcreditocrono( $i_IdCreditoCrono );
				        $o_CrCreditoCronoBN = $o_CrCreditoCronoFN->selectByPK();
				        if( $o_CrCreditoCronoBN )
				        {
				            $f_SaldoRestanteCredito = $o_CrCreditoCronoBN->getSaldocredito();
				        	$f_Moraamortizada		= $o_CrCreditoCronoBN->getMoraamortizada();
				        }
		                                
		                $f_MontoMoraAmortizada= $f_Moraamortizada - $f_Montopago;
		                
		                $o_CrCreditoCronoDP = new CrCreditoCronoDP();
			            $o_CrCreditoCronoDP->setIdcreditocrono( $i_IdCreditoCrono );
			            $o_CrCreditoCronoDP->setMoraamortizada($f_MontoMoraAmortizada );
			            
			            $b_Result = $o_CrCreditoCronoDP->update();
		            }
	            }
            }else{
            	echo "No se encontro numero de credito";
            }
            if( $b_Result && !$s_TipoOpe)
            {
                ?>
                <script>
                location.href='<?php echo buildUrl('pgh/addeditPayments','block=006&idCliente='.$idCliente.'&i_Id='.$i_Id.'&i_Idcuota='.$i_Idcuota)?>';
                </script>
                <?php
                exit;
            }
        }else{
        
        
        
		        //VALIDACION DEL BANCO SELECCIONADO:
		        iF( $s_Banco != "" )
		        {
		            if( $s_NroOperacion == "" )
		            {
		                throw new Exception( "Se debe de ingresar el Nro de Operacion." );
		            }
		            if( $s_FechaOperacionPago == "" )
		            {
		                throw new Exception( "Se debe de ingresar la Fecha de Operacion." );
		            }
		        }
		        else 
		        {
		            if( $s_NroRecibo == "" && $s_NroOperacion == "")
		            {
		                throw new Exception( "Se debe de ingresar el Nro de Recibo." );
		            }
		              if( $s_NroOperacion != "")
		            {
		                throw new Exception( "Se debe de seleccionar el banco." );
		            }
		        }
		        if($f_MontoMoraSaldo){
			        if( $s_BancoM != "" )
			        {
			            if( $s_NroOperacionM == "" )
			            {
			                throw new Exception( "Se debe de ingresar el Nro de Operacion." );
			            }
			            if( $s_FechaOperacionPagoM == "" )
			            {
			                throw new Exception( "Se debe de ingresar la Fecha de Operacion." );
			            }
			        }
			        else 
			        {
			        	if( $s_NroReciboM == "" && $s_NroOperacionM == "")
			            {
			                throw new Exception( "Se debe de ingresar el Nro de Recibo." );
			            }
			            if( $s_NroOperacionM != "")
			            {
			                throw new Exception( "Se debe de seleccionar el banco de la Mora." );
			            }
			        }
		        }
		        //////////////////////////////////////
		        
		        if( $s_MontoMora != "" && !is_numeric( $s_MontoMora ) )
		        {
		            throw new Exception( "Debe de ingresar un Monto Real para la Mora." );
		        }
		        
		        if( !is_numeric( $s_Monto ) )
		        {
		            throw new Exception( "Debe de ingresar un Monto real para la Cuota." );
		        }
		            
		        if( $s_MontoMora > 0 )
		        {
		            if( $s_MontoMora > $f_MontomoraCuota )
		            {
		                throw new Exception( "El Monto de Mora a Pagar supera el Monto de Deuda de Mora." );
		            }
		        }
		        
		        if( $s_Monto > $f_SaldototalCuota )
		        {
		            throw new Exception( "El Monto de Pago supera el Monto de Saldo." );
		        }
		        
		        $o_CrCreditoPagoDP = new CrCreditoPagoDP();
		        $o_CrCreditoPagoDP->setIdcreditocrono( $i_Id );
		        $o_CrCreditoPagoDP->setIdcuota( $i_Idcuota );
		        $o_CrCreditoPagoDP->setMontopago( $s_Monto );
		        $o_CrCreditoPagoDP->setFechatrx($s_FechaTrx);
		        $o_CrCreditoPagoDP->setNumerorecibo( $s_NroRecibo );
		        $o_CrCreditoPagoDP->setBanco( $s_Banco );
		        $o_CrCreditoPagoDP->setNumerooperacion( $s_NroOperacion );
		        $o_CrCreditoPagoDP->setFechaoperacion( $s_FechaOperacionPago );
		        $o_CrCreditoPagoDP->setTipopago( "C" ); //mora => M
		        $o_CrCreditoPagoDP->setObservacion( $s_ObservacionPago );
		        $o_CrCreditoPagoDP->setFechacreacion( date("Y-m-d H:i:s") );
		        $o_CrCreditoPagoDP->setUsauriocreacion( $s_User );
		        $o_CrCreditoPagoDP->setIdcolaborador( $idColaborador);
		        
		        $b_Result = $o_CrCreditoPagoDP->save();
		        
		        if( $b_Result )
		        {
		            //SI HAY UN MONTO DE MORA SE TIENE QUE REGISTRAR:
		            if( $s_MontoMora != "" && $s_MontoMora > 0 )
		            {
		                $o_CrCreditoPagoDP = new CrCreditoPagoDP();
		                $o_CrCreditoPagoDP->setIdcreditocrono( $i_Id );
		                $o_CrCreditoPagoDP->setIdcuota( $i_Idcuota );
		                $o_CrCreditoPagoDP->setMontopago( $s_MontoMora );
		                $o_CrCreditoPagoDP->setFechatrx($s_FechaTrx);
		                $o_CrCreditoPagoDP->setNumerorecibo( $s_NroReciboM );
		                $o_CrCreditoPagoDP->setBanco( $s_BancoM );
		                $o_CrCreditoPagoDP->setNumerooperacion( $s_NroOperacionM );
		                $o_CrCreditoPagoDP->setFechaoperacion( $s_FechaOperacionPagoM );
		                $o_CrCreditoPagoDP->setTipopago( "M" ); //mora => M
		                $o_CrCreditoPagoDP->setObservacion( $s_ObservacionPagoM );
		                $o_CrCreditoPagoDP->setFechacreacion( date("Y-m-d H:i:s") );
		                $o_CrCreditoPagoDP->setUsauriocreacion( $s_User );
		                $o_CrCreditoPagoDP->setIdcolaborador( $idColaborador);
		                $b_Result = $o_CrCreditoPagoDP->save();
		            }
		            /////////////////////////////////////////////////
		            
		            $f_SaldoRestante = $f_SaldototalCuota - $s_Monto;
		            
		            $o_CrCreditoCuotaDP = new CrCreditoCuotaDP();
		            $o_CrCreditoCuotaDP->setIdcuota( $i_Idcuota );
		            $o_CrCreditoCuotaDP->setSaldototal( $f_SaldoRestante );
		            if( $s_Monto == $f_SaldototalCuota )
		            {
		            	
		                $o_CrCreditoCuotaDP->setEstado( "C" );
		                
		                if($s_FechaTrx > $f_FechaCuota){
									
							$diasMora = diferenciaEntreFechas($s_FechaTrx, $f_FechaCuota, "DIAS", FALSE);
							$montoMoraSubtotal = $diasMora*($f_Porcinteresdiariomora/100)*$f_MontototalCuota;
							$montoMoraTotal +=$montoMoraSubtotal;
							//$o_CrCreditoCuotaDP->setDiasmora($diasMora);
		                	//$o_CrCreditoCuotaDP->setMontomora($montoMoraSubtotal);
		                }else{
		                	$o_CrCreditoCuotaDP->setDiasmora("0.00");
		                	//$o_CrCreditoCuotaDP->setMontomora("0.00");
		                }
		                
		            }
		            $b_Result = $o_CrCreditoCuotaDP->update();
		            
		            //$f_SaldoRestante = $f_SaldototalCuota - $s_Monto;
		            
		        	//Actualizar el prestamo
		            $o_CrCreditoCronoFN = new CrCreditoCronoFN();
			        $o_CrCreditoCronoFN->setIdcreditocrono( $i_Id );
			        
			        $o_CrCreditoCronoBN = $o_CrCreditoCronoFN->selectByPK();
			        if( $o_CrCreditoCronoBN )
			        {
			            $f_MontototalCuota = $o_CrCreditoCronoBN->getMontototal();
			            $f_SaldototalCredito = $o_CrCreditoCronoBN->getSaldoCredito();
			            $f_MontoMoraAmortizada = $o_CrCreditoCronoBN->getMoraamortizada();
			        }
			        else
			        {
			            throw new Exception( "Error interno al tratar de recuperar Credito Cuota." );
			        }
		            
			        $f_SaldoRestanteCredito = $f_SaldototalCredito - $s_Monto;
			        
			        $f_MontoMoraAmortizada = $f_MontoMoraAmortizada + $s_MontoMora;
		             
		            $o_CrCreditoCronoDP = new CrCreditoCronoDP();
		            $o_CrCreditoCronoDP->setIdcreditocrono( $i_Id );
		            $o_CrCreditoCronoDP->setSaldocredito( $f_SaldoRestanteCredito );
		            $o_CrCreditoCronoDP->setMoraamortizada($f_MontoMoraAmortizada );
		            
		            if( $s_Monto == $f_SaldototalCredito )
		            {
		            	$o_CrCreditoCronoDP->setSaldocredito( '0.00');		
		                $o_CrCreditoCronoDP->setEstado( "C" );
		                
		                $o_Cr_llamada_cabeceraFN = new Cr_llamada_cabeceraFN();
		                $o_Cr_llamada_cabeceraFN->setIdCliente($idCliente);
		                $o_Cr_llamada_cabeceraFN->setNumeroPrestamo($i_Id);
		                $o_Cr_llamada_cabeceraFN->setEstado('P');
		                $a_Cr_llamada_cabeceraBN = $o_Cr_llamada_cabeceraFN->select();
		                if(is_array($a_Cr_llamada_cabeceraBN)){
		                	$Cr_llamada_cabeceraBN = $a_Cr_llamada_cabeceraBN[0];
		                	$idCabecera = $Cr_llamada_cabeceraBN->getIdCabecera();
		                	$o_Cr_llamada_cabeceraDP = new Cr_llamada_cabeceraDP();
		                	$o_Cr_llamada_cabeceraDP->setIdCabecera($idCabecera);
		                	$o_Cr_llamada_cabeceraDP->setEstado('C');
		                	$o_Cr_llamada_cabeceraDP->update();
		                }
		                
		            }
		            $b_Result = $o_CrCreditoCronoDP->update();
		            
		            
		            
		            ?>
		            <script>
		            location.href='<?php echo buildUrl('pgh/addeditPayments','block=006&idCliente='.$idCliente.'&i_Id='.$i_Id.'&i_Idcuota='.$i_Idcuota)?>';
		            </script>
		            <?php
		        }
		    }
    	}
	    catch ( Exception $o_Exception )
	    {
	        $s_MensajeError = $o_Exception->getMessage();
	        ?>
	        <script>
	        alert("<?php echo $s_MensajeError ?>");
	        </script>
	        <?php
	    }
}
?>
<table width="100%" cellspacing="0" cellpadding="0" border="0" style="margin-top: 5px; margin-bottom: 5px;padding-left: 25px; padding-right: 12px;">
    <tr>
        <td class="titleBody"><li>Pagar Cuota</li></td>
        <td align="right">
            <input type="button" class="button" value="Volver a listado" onclick="location.href='<?php echo buildUrl('pgh/showPayments','&block=006&i_Id='.$i_Id)?>'" title="Volver a listado"/>
        </td>
    </tr>
</table>
<?php
$o_CrCreditoCronoFN = new CrCreditoCronoFN();
$o_CrCreditoCronoFN->setIdcreditocrono( $i_Id );
$o_CrCreditoCronoBN = $o_CrCreditoCronoFN->selectByPK();

$idCliente = $o_CrCreditoCronoBN->getIdcliente();

$o_ClienteBean = new ClienteBean();
$o_ClienteBean->setIdCliente( $idCliente );

$o_ClienteBL = new ClienteBL();
$a_Cliente = $o_ClienteBL->busquedaCliente( $o_ClienteBean );
if( $a_Cliente )
{
    $o_ClienteBN = $a_Cliente[0];
    $s_NombreCompleto = $o_ClienteBN->getNombreCompleto();
    $i_IdMercado =  $o_ClienteBN->getIdMercado();
    $o_MercadoBean = new MercadoBean();
    $o_MercadoBean->setIdMercado( $i_IdMercado );
    
    $o_MercadoBL = new MercadoBL();
    $a_Mercado = $o_MercadoBL->busquedaMercado( $o_MercadoBean );
    if( $a_Mercado )
    {
        $o_MercadoBN = $a_Mercado[0];
        $s_DescripcionMercado = $o_MercadoBN->getDescripcion();
    }
}

$s_FechaOperacion = $o_CrCreditoCronoBN->getFechainicio();
$s_MontoCap = $o_CrCreditoCronoBN->getMontocapital();
$s_Moneda = $o_CrCreditoCronoBN->getMoneda();
$s_InteresMensual = $o_CrCreditoCronoBN->getPorcinteresmensual();
$s_NumMeses = $o_CrCreditoCronoBN->getNumeromeses();
$s_InteresMor = $o_CrCreditoCronoBN->getPorcinteresdiariomora();
$s_Observacion = $o_CrCreditoCronoBN->getObservacion();
$f_MontodescuentoC = $o_CrCreditoCronoBN->getDescuento();
?>
<?php
$s_Param = 'block=006&idCliente='.$idCliente;
if( isset( $i_Id ) )
{
    $s_Param = $s_Param.'&i_Id='.$i_Id;
}
//FORMULA DEL MONTO A PAGAR CON INTERESES
$f_MontoInteres = ($s_InteresMensual/100)*$s_MontoCap*$s_NumMeses;
$f_MontoTotalPagar = $f_MontoInteres + $s_MontoCap;
$f_MontoCuotaPagar = fnroundesp( $f_MontoTotalPagar/$s_NumMeses, 2 );
?>
<?php
//INFORMACION DE CUOTA
$o_CrCreditoCuotaFN = new CrCreditoCuotaFN();
$o_CrCreditoCuotaFN->setIdcreditocrono( $i_Id );
$o_CrCreditoCuotaFN->setIdcuota( $i_Idcuota );
$o_CrCreditoCuotaBN = $o_CrCreditoCuotaFN->selectByPK();
if( $o_CrCreditoCuotaBN )
{
    $s_FechaCuota = $o_CrCreditoCuotaBN->getFechacuota();
    $s_MontoCuota = $o_CrCreditoCuotaBN->getMontototal();
    $s_MontoSaldo = $o_CrCreditoCuotaBN->getSaldototal();
    $s_Estado = $o_CrCreditoCuotaBN->getEstado();
    $s_DiasMora = $o_CrCreditoCuotaBN->getDiasmora();
    $s_MontoMora = $o_CrCreditoCuotaBN->getMontomora();
    $s_MonedaCuota = $o_CrCreditoCuotaBN->getMoneda();
    switch ( $s_MonedaCuota ) 
    {
        case "S":
            $s_MonedaDesc = "SOLES";
        break;
        case "D":
            $s_MonedaDesc = "DOLARES";
        break;
    }
    //AHORA SE TIENE QUE IDENTIFICAR LA MORA PAGADA Y EL SALDO DE MORA
    $o_CrCreditoPagoFN = new CrCreditoPagoFN();
    $o_CrCreditoPagoFN->setIdcuota( $i_Idcuota );
    $o_CrCreditoPagoFN->setTipopago( "M" );
    $a_CrCreditoPago = $o_CrCreditoPagoFN->select();
    $f_SumaMontoMoraPago = 0;
    if( $a_CrCreditoPago )
    {
        foreach ( $a_CrCreditoPago as $i_Key => $o_CrCreditoPagoBN )
        {
            $f_MontoMoraPago = $o_CrCreditoPagoBN->getMontopago();
            $f_SumaMontoMoraPago = $f_SumaMontoMoraPago + $f_MontoMoraPago;
        }
    }
    $f_MontoMoraSaldo = $s_MontoMora - $f_SumaMontoMoraPago;
    //////////////////////////////////////////////////////////////////////
}
?>
<style>
fieldset select{ width: 60%; }
.cabecera
{
    color: #000000;
    font-family: Verdana,Arial,Helvetica,sans-serif;
    text-align: left;
}
</style>
<form action="" method="post" name="form1" id="form1" enctype="multipart/form-data">
    <?php if( isset( $i_Id ) && $i_Id != "" ){ ?>
    <input type="hidden" name="i_Id" id="i_Id" value="<?php echo $i_Id ?>"/>
    <input type="hidden" name="idCliente" id="idCliente" value="<?php echo $idCliente ?>"/>
    <?php } ?>
    <input type="hidden" name="b_Control" id="b_Control" value="ok"/>
    <table width="100%" class="" style="padding-left: 10px; padding-right: 10px;">
        <tr>
            <td>
            
                <table width="100%" cellspacing="0" cellpadding="0" border="0" class="marco">
                    <tr>
                        <td width="100%"  align="center">
                            <table width="100%" cellspacing="1" cellpadding="2" border="0" class="">
                                <tr>
                                    <td nowrap="nowrap" width="20%" class="cabecera"><label class="label req" for="txtNotaria" >Cliente</label></td>
                                    <td nowrap="nowrap" width="20%" align="left"><label class="label"><?php echo $s_NombreCompleto ?></label></td>
                                    
                                    <td nowrap="nowrap" width="20%" class="cabecera"><label class="label req" for="txtNotaria" >Mercado</label></td>
                                    <td nowrap="nowrap" width="20%" align="left"><label class="label"><?php echo $s_DescripcionMercado ?></label></td>
                                </tr>

                                <tr>
                                    <td nowrap="nowrap" class="cabecera"><label class="label req" for="txtNotaria" >No Cr&eacute;dito</label></td>
                                    <td nowrap="nowrap"  align="left"><label class="label"><?php echo $i_Id ?></label></td>
                                    
                                    <td nowrap="nowrap" class="cabecera"><label class="label req" for="txtNotaria" >No Cuota</label></td>
                                    <td nowrap="nowrap"  align="left"><label class="label"><?php echo $i_Idcuota ?></label></td>
                                </tr>
                                
                                <tr>
                                    <td nowrap="nowrap" class="cabecera"><label class="label req" for="txtNotaria" >Fecha de Cuota</label></td>
                                    <td nowrap="nowrap"  align="left"><label class="label"><?php echo str_replace('-','/',formatoFecha($s_FechaCuota)) ?></label></td>
                                    
                                    <td nowrap="nowrap" class="cabecera"><label class="label req" for="txtNotaria" >Estado</label></td>
                                    <td nowrap="nowrap"  align="left">
                                        <?php
                                        switch ($s_Estado) 
                                        {
                                            case "P":
                                                $s_EstadoDesc = "PENDIENTE";
                                            break;
                                            case "C":
                                                $s_EstadoDesc = "CANCELADO";
                                            break;
                                        }
                                        ?>
                                        <label class="label"><?php echo $s_EstadoDesc ?></label>
                                    </td>
                                </tr>
                                
                                <tr>
                                    <td nowrap="nowrap" class="cabecera"><label class="label req" for="txtNotaria" >Monto de Cuota</label></td>
                                    <td nowrap="nowrap" align="left" ><label class="label"><?php echo $s_MontoCuota ?></label></td>
                                    
                                    <td nowrap="nowrap" class="cabecera"><label class="label req" for="txtNotaria" >Monto de Saldo</label></td>
                                    <td nowrap="nowrap"  align="left"><label class="label" id="elm_MontoSaldo"><?php echo number_format( $s_MontoSaldo, 2 ) ?></label></td>
                                </tr>
                                
                                <tr>
                                    <td nowrap="nowrap" class="cabecera"><label class="label req" for="txtNotaria" >D&iacute;as de Mora</label></td>
                                    <td nowrap="nowrap"  align="left"><label class="label"><?php echo $s_DiasMora ?></label></td>
                                
                                    <td nowrap="nowrap" class="cabecera"><label class="label req" for="txtNotaria" >Monto de Mora</label></td>
                                    <td nowrap="nowrap" align="left" ><label class="label"><?php echo number_format( $s_MontoMora, 2 ) ?></label></td>
                                </tr>
                                
                                <tr>
                                    <td nowrap="nowrap" class="cabecera"><label class="label req" for="txtNotaria" >Moneda</label></td>
                                    <td nowrap="nowrap"  align="left"><label class="label"><?php echo $s_MonedaDesc ?></label></td>
                                
                                    <td nowrap="nowrap" class="cabecera">Mora Pagada</td>
                                    <td nowrap="nowrap"  align="left"><label class="label"><?php echo number_format( $f_SumaMontoMoraPago, 2 ) ?></label></td>
                                </tr>
                                
                                

                                <tr>
                                    <td colspan="4">

                                        <table class="marco" border="0" cellpadding="0" cellspacing="0" width="80%">
                                            <tr>
                                                <td height="17" class="pager">
                                                    Pagos Anteriores
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
<script>
eliminarPagosAnteriorres = function( i_IdPago,FechaTrx )
{
    x = confirm( "Esta seguro de eliminar el pago?, si elimina el pago eliminara los pagos de fecha "+FechaTrx );
    if( x )
    {
        location.href='<?php echo buildUrl('pgh/addeditPayments','block=006&idCliente='.$idCliente.'&i_Id='.$i_Id.'&i_Idcuota='.$i_Idcuota.'&b_Control=ok&s_TipoOpe=delete&i_IdPago=' )?>'+i_IdPago;
    }
}
</script>
                                                    <table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0">
                                                        <tr height="23">
                                                            <th width="2%" >Nro</th>
                                                            <th width="11%" >Tipo Pago</th>
                                                            <th width="11%" >F. Transaccion</th>
                                                            
                                                            <th width="11%" >Monto</th>
                                                            <th width="11%" >Nro Recibo</th>
                                                            <th width="11%" >Banco</th>
                                                            <th width="11%" >Nro Operaci&oacute;n</th>
                                                            <th width="11%" >F.Operacion</th>
                                                            <th width="11%" >Observaci&oacute;n</th>
                                                            <th width="11%" >Opciones</th>
                                                        </tr>
                                                        <?php
                                                        $o_CrCreditoPagoFN = new CrCreditoPagoFN();
                                                        $o_CrCreditoPagoFN->setIdcuota( $i_Idcuota );
                                                        //$o_CrCreditoPagoFN->setTipopago( "C" );
                                                        $a_CrCreditoPago = $o_CrCreditoPagoFN->select();
                                                        $s_SumaMontoPagos = 0;
                                                        ?>
                                                        <?php if( $a_CrCreditoPago ){ ?>
                                                            <?php foreach ( $a_CrCreditoPago as $i_Key => $o_CrCreditoPagoBN ){ ?>
                                                                <?php
                                                                $i_Idpago = $o_CrCreditoPagoBN->getIdpago();
                                                                $s_SumaMontoPagos = $s_SumaMontoPagos + $o_CrCreditoPagoBN->getMontopago();
                                                                $s_Tipopago = $o_CrCreditoPagoBN->getTipopago();
                                                                $s_Fechatrx = $o_CrCreditoPagoBN->getFechatrx();
                                                                switch ( $s_Tipopago )
                                                                {
                                                                    case "C":
                                                                        $s_TipoPagoDesc = "Cuota";
                                                                    break;
                                                                    case "M":
                                                                        $s_TipoPagoDesc = "Mora";
                                                                    break;
                                                                }
                                                                ?>
                                                        <tr>
                                                            <td align="center"><?php echo $i_Key+1 ?></td>
                                                            <td align="center"><label class="label"><?php echo $s_TipoPagoDesc ?></label></td>
                                                            <td align="center"><label class="label"><?php echo str_replace('-','/',formatoFecha($o_CrCreditoPagoBN->getFechatrx())) ?></label></td>
                                                            
                                                            <td align="center"><label class="label"><?php echo $o_CrCreditoPagoBN->getMontopago(); ?></label></td>
                                                            <td align="center"><label class="label"><?php echo $o_CrCreditoPagoBN->getNumerorecibo(); ?></label></td>
                                                            <td align="center"><label class="label"><?php echo $o_CrCreditoPagoBN->getBanco(); ?></label></td>
                                                            <td align="center"><label class="label"><?php echo $o_CrCreditoPagoBN->getNumerooperacion(); ?></label></td>
                                                            <td align="center"><label class="label"><?php echo str_replace('-','/',formatoFecha($o_CrCreditoPagoBN->getFechaoperacion())) ?></label></td>
                                                            <td align="center"><label class="label"><?php echo $o_CrCreditoPagoBN->getObservacion(); ?></label></td>
                                                            <td align="center">
                                                            	<?php if($s_FechaTrx == $o_CrCreditoPagoBN->getFechatrx() && $o_CrCreditoPagoBN->getTipopago() == "C"){?>
                                                                <img src="/images/common/buttons/btnClose.gif" onclick="eliminarPagosAnteriorres('<?php echo $i_Idpago ?>','<?php echo $s_Fechatrx ?>');" style="cursor:pointer;"/>
                                                                <?php }?>
                                                            </td>
                                                        </tr>
                                                            <?php } ?>
                                                        <?php } ?>
                                                        <tr>
                                                            <td colspan="3" align="center"><label class="label req">Total</label></td>
                                                            <td align="center" style="border-top: 1px solid black;"><label class="label"><?php echo number_format( $s_SumaMontoPagos, 2 ) ?></label></td>
                                                            <td colspan="5">&nbsp;</td>
                                                        </tr>
                                                    </table>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                                
                                <tr>
                                    <td colspan="4">
                                        <br>
                                        <br>
                                        <? if($s_Estado=="P"){?>
                                        <table width="100%" cellspacing="0" cellpadding="0" border="0" class="marco" style="padding-left: 10px;">
                                            <tr>
                                                <td width="25%" nowrap="nowrap">
                                                    
                                                    <fieldset style="border-color: rgb(182, 182, 182); border-style: solid; border-width: thin; width: 97%; margin-top: 5px; margin-bottom: 10px;">
                                                        <legend>
                                                            <label class="label req">Pago de Cuota</label>
                                                        </legend>
                                                        
                                                        <table width="97%" cellspacing="1" cellpadding="2" border="0" class="">
                                                            <tr>
                                                                <td align="center">
                                                                    <label for="s_Monto" class="label">Monto :</label>
                                                                    <div>
                                                                        <input type="text" size="10" maxlength="10" name="s_Monto" id="s_Monto" class="text required" value="<?php echo $s_MontoSaldo ?>" style="text-align:center"/>
                                                                    </div>
                                                                </td>
                                                                <td align="center">
                                                                    <label for="s_NroRecibo" class="label">Nro de Recibo :</label>
                                                                    <div>
                                                                        <input type="text" size="10" maxlength="10" name="s_NroRecibo" id="s_NroRecibo" class="text" value="<?php echo $s_NroRecibo ?>" style="text-align:center"/>
                                                                    </div>
                                                                </td>
                                                                <td align="center">
                                                                    <label for="s_NroRecibo" class="label">Fecha Transacción :</label>
                                                                    <div>
                                                                        <input type="hidden" size="10" maxlength="10" name="s_FechaTrx" id="s_NroRecibo" class="text " value="" style="text-align:center"/>
                                               							<label for="s_NroRecibo" class="label"><?=$s_FechaTrx;?>   </label>                      
                                                                        <!--<input class="text required" type="hidden" readonly ondblclick="this.value=''" size="8" maxlength="10" name="s_FechaTrx" id="s_FechaTrx" value='<?=$s_FechaTrx;?>'/><button type="button" onclick="return false" id="btns_FechaTrx">...</button></td>
												                         <script type="text/javascript">
												                            document.getElementById("s_FechaTrx").disabled = false;
												                            Calendar.setup({
												                              inputField : "s_FechaTrx",
												                              ifFormat : "%Y-%m-%d",
												                              daFormat : "%Y-%m-%d",
												                              button   : "btns_FechaTrx"
												                            });
												                         </script>-->
                                                                    </div>
                                                                </td>
                                                                <td align="center">
                                                                    <label for="s_Banco" class="label">Banco :</label>
                                                                    <div>
                                                                        <select name="s_Banco" id="s_Banco" class="combo" onchange="" style="width:100px">
                                                                            <option value=""> -Seleccione- </option>
                                                                            <option value="BCP" <?php if( $s_Banco=="BCP" ){ echo "SELECTED"; } ?>> BCP - Banco de Credito </option>
                                                                            <option value="INT" <?php if( $s_Banco=="INT" ){ echo "SELECTED"; } ?>> Interbank </option>
                                                                            <option value="BBVA" <?php if( $s_Banco=="BBVA" ){ echo "SELECTED"; } ?>> BBVA - Banco Continental </option>
                                                                            <option value="BCO" <?php if( $s_Banco=="BCO" ){ echo "SELECTED"; } ?>> Banco Comercio </option>
                                                                            <option value="BNA" <?php if( $s_Banco=="BNA" ){ echo "SELECTED"; } ?>> Banco de la Naci&oacute;n </option>
                                                                        </select>
                                                                    </div>
                                                                </td>
                                                                <td align="center">
                                                                    <label for="s_NroOperacion" class="label">Nro de Operaci&oacute;n :</label>
                                                                    <div>
                                                                        <input type="text" size="10" maxlength="10" name="s_NroOperacion"  id="s_NroOperacion" class="text" value="<?php echo $s_NroOperacion ?>" style="text-align:center"/>
                                                                    </div>
                                                                </td>
                                                                <td align="center">
                                                                    <label for="s_FechaOperacion" class="label">Fecha de Operaci&oacute;n :</label>
                                                                    <div>
                                                                        <input class="text" type="text" ondblclick="this.value=''" name="s_FechaOperacionPago" id="s_FechaOperacionPago" size="10" value="<?php echo $s_FechaOperacionPago ?>" style="text-align:center" readonly/>
                                                                        <button type="button" onclick="return false" id="btnFechaInicial">...</button></td>
                                                                        <script type="text/javascript">
                                                                            document.getElementById("s_FechaOperacionPago").disabled = false;
                                                                            Calendar.setup({
                                                                              inputField : "s_FechaOperacionPago",
                                                                              ifFormat : "%Y-%m-%d",
                                                                              daFormat : "%Y-%m-%d",
                                                                              button   : "btnFechaInicial"
                                                                            });
                                                                        </script>
                                                                    </div>
                                                                </td>
                                                              
                                                                <td align="center">
                                                                    <label for="s_MontoMora" class="label">Observaci&oacute;n :</label>
                                                                    <div>
                                                                        <textarea id="s_ObservacionPago" name="s_ObservacionPago" cols="20" rows="2"><?php echo $s_ObservacionPago ?></textarea>
                                                                    </div>
                                                                </td>
                                                               
                                                            </tr>
                                                            <? if($f_MontoMoraSaldo){?>
                                                            <tr>
                                                                <td align="center">
                                                                    <label for="s_MontoMora" class="label">Monto Mora :</label>
                                                                    <div>
                                                                        <input type="text" size="10" maxlength="10" name="s_MontoMora" id="s_MontoMora" class="text" value="<?php echo $f_MontoMoraSaldo ?>" style="text-align:center"/>
                                                                    </div>
                                                                </td>
                                                                <td align="center">
                                                                    <label for="s_NroRecibo" class="label">Nro de Recibo :</label>
                                                                    <div>
                                                                        <input type="text" size="10" maxlength="10" name="s_NroReciboM" id="s_NroRecibo" class="text" value="<?php echo $s_NroRecibo ?>" style="text-align:center"/>
                                                                    </div>
                                                                </td>
                                                                <td align="center">
                                                                    <label for="s_NroRecibo" class="label">Fecha Transacción :</label>
                                                                    <div>
                                                                        
                                               							<label for="s_NroRecibo" class="label"><?=$s_FechaTrx;?>   </label>                      
                                                                        <!--<input class="text required" type="hidden" readonly ondblclick="this.value=''" size="8" maxlength="10" name="s_FechaTrx" id="s_FechaTrx" value='<?=$s_FechaTrx;?>'/><button type="button" onclick="return false" id="btns_FechaTrx">...</button></td>
												                         <script type="text/javascript">
												                            document.getElementById("s_FechaTrx").disabled = false;
												                            Calendar.setup({
												                              inputField : "s_FechaTrx",
												                              ifFormat : "%Y-%m-%d",
												                              daFormat : "%Y-%m-%d",
												                              button   : "btns_FechaTrx"
												                            });
												                         </script>-->
                                                                    </div>
                                                                </td>
                                                                <td align="center">
                                                                    <label for="s_Banco" class="label">Banco :</label>
                                                                    <div>
                                                                        <select name="s_BancoM" id="s_BancoM" class="combo" onchange="" style="width:100px">
                                                                            <option value=""> -Seleccione- </option>
                                                                            <option value="BCP" <?php if( $s_Banco=="BCP" ){ echo "SELECTED"; } ?>> BCP - Banco de Credito </option>
                                                                            <option value="INT" <?php if( $s_Banco=="INT" ){ echo "SELECTED"; } ?>> Interbank </option>
                                                                            <option value="BBVA" <?php if( $s_Banco=="BBVA" ){ echo "SELECTED"; } ?>> BBVA - Banco Continental </option>
                                                                            <option value="BCO" <?php if( $s_Banco=="BCO" ){ echo "SELECTED"; } ?>> Banco Comercio </option>
                                                                            <option value="BNA" <?php if( $s_Banco=="BNA" ){ echo "SELECTED"; } ?>> Banco de la Naci&oacute;n </option>
                                                                        </select>
                                                                    </div>
                                                                </td>
                                                                <td align="center">
                                                                    <label for="s_NroOperacion" class="label">Nro de Operaci&oacute;n :</label>
                                                                    <div>
                                                                        <input type="text" size="10" maxlength="10" name="s_NroOperacionM"  id="s_NroOperacionM" class="text" value="<?php echo $s_NroOperacion ?>" style="text-align:center"/>
                                                                    </div>
                                                                </td>
                                                                <td align="center">
                                                                    <label for="s_FechaOperacion" class="label">Fecha de Operaci&oacute;n :</label>
                                                                    <div>
                                                                        <input class="text" type="text" ondblclick="this.value=''" name="s_FechaOperacionPagoM" id="s_FechaOperacionPagoM" size="10" value="<?php echo $s_FechaOperacionPagoM ?>" style="text-align:center" readonly/>
                                                                        <button type="button" onclick="return false" id="btnFechaInicialM">...</button></td>
                                                                        <script type="text/javascript">
                                                                            document.getElementById("s_FechaOperacionPagoM").disabled = false;
                                                                            Calendar.setup({
                                                                              inputField : "s_FechaOperacionPagoM",
                                                                              ifFormat : "%Y-%m-%d",
                                                                              daFormat : "%Y-%m-%d",
                                                                              button   : "btnFechaInicialM"
                                                                            });
                                                                        </script>
                                                                    </div>
                                                                </td>
                                                                <td align="center">
                                                                    <label for="s_MontoMora" class="label">Observaci&oacute;n :</label>
                                                                    <div>
                                                                        <textarea id="s_ObservacionPagoM" name="s_ObservacionPagoM" cols="20" rows="2"><?php echo $s_ObservacionPago ?></textarea>
                                                                    </div>
                                                                </td>
                                                                
                                                                
                                                            </tr>
                                                             <? }?>
                                                             <tr>
                                                             	
                                                                 <td colspan="7" align="right">
                                                                    <input type="button" class="button" value="Grabar" onclick="formCallback();"/>
                                                                </td>
                                                             </tr>
                                                        </table>
                                                    </fieldset>
                                                
                                                </td>
                                            </tr>
                                        </table>
                                    	<?php }?>
                                    </td>
                                </tr>
                                
                                <tr>
                                    <td colspan="4">
                                        <table width="100%" cellspacing="0" cellpadding="0" border="0" style="margin-top: 10px;">
                                            <tr>
                                                <td align="center">
                                                    <table width="100%" cellspacing="0" cellpadding="0" border="0"  style="padding-bottom: 5px; padding-top: 5px;">
                                                        <tr>
                                                            <td align="center">
                                                                <input type="button" value="Cancelar" class="button" onclick="location.href='<?php echo buildUrl('pgh/showPayments','block=006&i_Id='.$i_Id)?>'"/>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </table>
                            
                        </td>
                    </tr>
                </table>
                
            </td>
        </tr>
    </tr>
</form>

<script type="text/javascript">
var valid = new Validation('form1', {immediate : true, useTitles : true});
formCallback = function () 
{
    var result = valid.validate();
    if(result)
    {
        var f_Monto = parseFloat( $( 's_Monto' ).value );
        var f_MontoSaldo = parseFloat( $( 'elm_MontoSaldo' ).innerHTML );
        
        var s_NroOperacion 	=  $('s_NroOperacion').value;
        var s_NroRecibo		=  $('s_NroRecibo').value ;
        
           
        if(!s_NroOperacion){
    		if(!s_NroRecibo){
    			alert("Debe de ingresar el numero de recibo");
    			return false;
    		}
    	}
    	
    	if(!s_NroRecibo){
    		if(!s_NroOperacion){
    			alert("Debe de ingresar el numero de operacion");
    			return false;
    		}
    	}
        
        if( f_Monto == f_MontoSaldo )
        {
        	
        	if($)
            x = confirm( "Este pago cancelara la cuota, esta seguro?" );
            if( x )
            {
                $('form1').submit();
            }
            else
            {
                return false;
            }
        }
        $('form1').submit();
    }
}
</script>